Skip to main content

Update Prospect: Knock

PUThttps://api.propexo.com/crm/v1/prospects/knock/:prospect_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

prospect_id stringrequired

The Propexo unique identifier for the prospect

Request​

This endpoint expects an object.

    agent_idstring

    The Propexo unique identifier for the agent

    email_1string

    The primary email address associated with the prospect

    phone_1string

    Primary phone number associated with the prospect

    first_namestring

    The first name associated with the prospect

    last_namestring

    The last name associated with the prospect

    move_in_datestring

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    number_of_occupantsinteger

    The number of occupants living in the unit

    Possible values: > 0

    lease_term_in_monthsinteger

    The amount of months for the lease term

    Possible values: >= 1

    rent_minimum_in_centsinteger

    The minimum rent of the prospect

    Possible values: >= 1

    rent_maximum_in_centsinteger

    The maximum rent of the prospect

    Possible values: >= 1

    desired_num_bedroomsinteger[]

    The number of bedrooms associated with the prospect. 0 represents a studio unit. 3 represents three or more bedrooms.

    Possible values: >= 0 and <= 3

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    prospect_idstringrequired

    The Propexo unique identifier for the prospect

    agent_idstring

    The Propexo unique identifier for the agent

    email_1string

    The primary email address associated with the prospect

    phone_1string

    Primary phone number associated with the prospect

    first_namestring

    The first name associated with the prospect

    last_namestring

    The last name associated with the prospect

    move_in_datestring

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    number_of_occupantsinteger

    The number of occupants living in the unit

    Possible values: > 0

    lease_term_in_monthsinteger

    The amount of months for the lease term

    Possible values: >= 1

    rent_minimum_in_centsinteger

    The minimum rent of the prospect

    Possible values: >= 1

    rent_maximum_in_centsinteger

    The maximum rent of the prospect

    Possible values: >= 1

    desired_num_bedroomsinteger[]

    Possible values: >= 0 and <= 3

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /crm/v1/prospects/knock/:prospect_id
curl -X PUT https://api.propexo.com/crm/v1/prospects/knock/:prospect_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "string",
"email_1": "string",
"phone_1": "string",
"first_name": "string",
"last_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"number_of_occupants": 0,
"lease_term_in_months": 0,
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"desired_num_bedrooms": [
0
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"prospect_id": "string",
"agent_id": "string",
"email_1": "string",
"phone_1": "string",
"first_name": "string",
"last_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"number_of_occupants": 0,
"lease_term_in_months": 0,
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"desired_num_bedrooms": [
0
]
}
}